unable to update to IOS 4.1

Discussion in 'iPod touch' started by Chuchichan, Oct 2, 2010.

  1. Chuchichan macrumors 6502

    Joined:
    Jul 17, 2010
    Location:
    Maryland
    #1
    I'm not able to update my ipod Touch 3G to IOS 4.1. When I click on the update in iTunes (under the "version" section of the iPod) it say: "This version of iTunes (9.2.1) is the latest version.

    Whenever I synced my iPod Touch it used to ask me if I wanted to upgrade, but I chose for this not to appear. Now I would like to upgrade. Anyone know what might be wrong?
     
  2. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #2
    You need to update iTunes to version 10 to get iOS 4.1.
     
  3. Chuchichan thread starter macrumors 6502

    Joined:
    Jul 17, 2010
    Location:
    Maryland
    #3
    So, 9.2.1 is the latest version available for OS 10.4.11? I have to upgrade my computer OS to get IOS 4.1?
     
  4. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #4
    I believe so.
     
  5. iLike2Touch macrumors member

    Joined:
    Sep 29, 2010
    #5
    Oh yea, iTunes 10 only supports Mac OS X 10.5 and above for Mac users. 10.4 is not supported.
     
  6. xhArRiSoNxD macrumors regular

    Joined:
    Jul 8, 2008
    Location:
    Massachusetts
    #6
    And I thought having to update my first gen iPod Touch to get 4.0 was bad..
     
  7. Chuchichan thread starter macrumors 6502

    Joined:
    Jul 17, 2010
    Location:
    Maryland
    #7
    I find it ridiculous that we keep having to update our OS to keep our iPods up to date.
     

Share This Page